package nckd.jxccl.sit.hcsi.opplugin.web.coordination;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.bos.entity.plugin.args.EndOperationTransactionArgs;
import kd.hr.hbp.common.util.HRStringUtils;
import kd.hr.hbp.opplugin.web.HRDataBaseOp;
import nckd.jxccl.sit.hcsi.validate.web.SinsurEmpCoordBillValidator;
import nckd.jxccl.sit.hcsi.validate.web.SinsurEmpCoordConfirmEffectValidator;

/**
 * Tyx 2025-10-28
 * 社保核定单-确认生效扩展插件【nckd_hpdi_empcoordver_ext】
 */
public class SinsurEmpConfirmOpEx extends HRDataBaseOp {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new SinsurEmpCoordConfirmEffectValidator());
    }
}
